import type { CfSystemChoice } from '../types';
/**
 * Validates the destination name or input string. If `allowEmptyChoice` is true,
 * the validation will pass immediately. Otherwise, the input will be validated
 * against rules (non-empty, valid characters, length check).
 *
 * @param {string} input - The destination name or input string to validate.
 * @param {boolean} allowEmptyChoice - Whether to allow an empty input as a valid choice.
 * @returns {boolean|string} `true` if the input is valid or empty choices are allowed, otherwise an error message.
 */
export declare function validateDestinationQuestion(input: string | CfSystemChoice, allowEmptyChoice?: boolean): boolean | string;
//# sourceMappingURL=validators.d.ts.map